Package org.wso2.carbon.deployment.synchronizer.services

## Class DeploymentSynchronizerAdmin

- java.lang.Object
- - org.wso2.carbon.core.AbstractAdmin
  - - org.wso2.carbon.deployment.synchronizer.services.DeploymentSynchronizerAdmin

-     public class DeploymentSynchronizerAdmin
      extends org.wso2.carbon.core.AbstractAdmin

  Admin service for managing the deployment synchronizer component and synchronizers engaged on the Carbon repository.

- - ### Field Summary

    - ### Fields inherited from class org.wso2.carbon.core.AbstractAdmin

      `axisConfig, configurationContext`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeploymentSynchronizerAdmin()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkout()` |
    `void` | `commit()` |
    `void` | `disableSynchronizerForCarbonRepository()` |
    `void` | `enableSynchronizerForCarbonRepository​(DeploymentSynchronizerConfiguration config)` |
    `long` | `getLastCheckoutTime()` |
    `long` | `getLastCommitTime()` |
    `RepositoryConfigParameter[]` | `getParamsByRepositoryType​(String repositoryType)` |
    `String[]` | `getRepositoryTypes()` | Get all available ArtifactRepositories
    `DeploymentSynchronizerConfiguration` | `getSynchronizerConfigurationForCarbonRepository()` |
    `boolean` | `synchronizerEnabledForCarbonRepository()` |
    `void` | `updateSynchronizerForCarbonRepository​(DeploymentSynchronizerConfiguration config)` |

    - ### Methods inherited from class org.wso2.carbon.core.AbstractAdmin

      `getAxisConfig, getConfigContext, getConfigSystemRegistry, getConfigUserRegistry, getGovernanceRegistry, getGovernanceSystemRegistry, getGovernanceUserRegistry, getHttpSession, getLocalRepo, getRegistry, getTenantDomain, getUsername, getUserRealm, setConfigurationContext, setPermissionUpdateTimestamp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentSynchronizerAdmin

          public DeploymentSynchronizerAdmin()

  - ### Method Detail

    - #### enableSynchronizerForCarbonRepository

          public void enableSynchronizerForCarbonRepository​(DeploymentSynchronizerConfiguration config)
                                                     throws DeploymentSynchronizerException

      Throws:
        `DeploymentSynchronizerException`

    - #### disableSynchronizerForCarbonRepository

          public void disableSynchronizerForCarbonRepository()
                                                      throws DeploymentSynchronizerException

      Throws:
        `DeploymentSynchronizerException`

    - #### updateSynchronizerForCarbonRepository

          public void updateSynchronizerForCarbonRepository​(DeploymentSynchronizerConfiguration config)
                                                     throws DeploymentSynchronizerException

      Throws:
        `DeploymentSynchronizerException`

    - #### getLastCommitTime

          public long getLastCommitTime()

    - #### getLastCheckoutTime

          public long getLastCheckoutTime()

    - #### checkout

          public void checkout()
                        throws DeploymentSynchronizerException

      Throws:
        `DeploymentSynchronizerException`

    - #### commit

          public void commit()
                      throws DeploymentSynchronizerException

      Throws:
        `DeploymentSynchronizerException`

    - #### synchronizerEnabledForCarbonRepository

          public boolean synchronizerEnabledForCarbonRepository()

    - #### getSynchronizerConfigurationForCarbonRepository

          public DeploymentSynchronizerConfiguration getSynchronizerConfigurationForCarbonRepository()
                                                                                              throws DeploymentSynchronizerException

      Throws:
        `DeploymentSynchronizerException`

    - #### getParamsByRepositoryType

          public RepositoryConfigParameter[] getParamsByRepositoryType​(String repositoryType)

    - #### getRepositoryTypes

          public String[] getRepositoryTypes()

      Get all available ArtifactRepositories
      Returns:
        Available ArtifactRepositories